Bug 141532 - gdb fails on kernel module w/segmentation violation
gdb fails on kernel module w/segmentation violation
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gdb (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Elena Zannoni
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-01 15:38 EST by Dave Anderson
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-06 16:22:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Anderson 2004-12-01 15:38:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030611

Description of problem:

This problem was originally seen when using the crash utility,
(which has gdb embedded), when trying to do an "add-symbol-file"
operation on a RHEL4 kernel module.

However, the problem can easily be reproduced by simply running
gdb standalone on the kernel module file, which must have its
associated debuginfo file installed on the target system.

In the example below, the RHEL4 ext3.ko kernel module causes gdb to
fail with a segmentation violation.







Version-Release number of selected component (if applicable):
gdb-6.1post-1.20040607.41rh

How reproducible:
Always

Steps to Reproduce:
1. On a system running RHEL4, determine the version with "uname -r",
and if not already installed, install the associated kernel debuginfo
package.
2. cd /lib/modules/`uname -r`/kernel/fs/ext3
3. gdb ext3.ko
    

Actual Results:  
# gdb ext3.ko
GNU gdb Red Hat Linux (6.1post-1.20040607.41rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and
you are welcome to change it and/or distribute copies of it under
certain conditions. Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for
details. This GDB was configured as "x86_64-redhat-linux-gnu"...
Segmentation fault
#

Expected Results:  
Should initialize to a (gdb) prompt with no errors.

Additional info:
Comment 1 Dave Anderson 2004-12-06 16:22:36 EST
This report was based upon using the ext3 kernel module from the
2.6.9-1.648_EL kernel, which was compiled with:
 
  (gcc version 3.4.2 20041017 (Red Hat 3.4.2-6.fc3))

Running the same test on the ext3 kernel module from the
2.6.9-1.860_EL kernel, which was compiled with:

  (gcc version 3.4.3 20041125 (Red Hat 3.4.3-6.EL4))

no longer causes a segmentation violation.

Note You need to log in before you can comment on or make changes to this bug.